package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.WarehouseArea;

public class ProductionPlan extends Entity{

	private PlanAssembly planAssembly;//计划
	private  BigItem bigItem;//完成品品番
	private String numberNo;//No
	private String   procedure;//工位
	private Date   OfflineDate;// 导入日期
	private Date   planDate;//计划日期
	private Date   modifyDate;//计划日期
	private String code;//IDNO
	private String name;//月度序号
	private String country;//国家
	private String  modelType;//机型
	private String  modelNo;//机号
	private String  modelName;//机型名称
	private BomList bomList;//机型
	private String description;//备注
	private String strExtend1;//是否下线耗用状态
	private String strExtend2;//是否发货
	private String strExtend3;//下线日期
	private String strExtend4;//制造线
	private Long longExtend1;//序号
	/** 所属库区 */
	private WarehouseArea zone1;//收货库仓库
	/** 所属库区 */
	private WarehouseArea zone2;//出库仓库
	private String outType;//出库类型
	//下线零件ID
	private Long spId;//SpareParts
	//备货计划ID
	private Long pptId;//planPickTicket
	
	/** 耗用日期 */
	private Date hyTime;
	
	/** 自动计划 */
	private AutoProduction autoProduction;
	private AutoProductionLog autoProductionLog;
	
	
	public AutoProductionLog getAutoProductionLog() {
		return autoProductionLog;
	}
	public void setAutoProductionLog(AutoProductionLog autoProductionLog) {
		this.autoProductionLog = autoProductionLog;
	}
	public AutoProduction getAutoProduction() {
		return autoProduction;
	}
	public void setAutoProduction(AutoProduction autoProduction) {
		this.autoProduction = autoProduction;
	}
	public Date getHyTime() {
		return hyTime;
	}
	public void setHyTime(Date hyTime) {
		this.hyTime = hyTime;
	}
	public Long getSpId() {
		return spId;
	}
	public void setSpId(Long spId) {
		this.spId = spId;
	}
	public Long getPptId() {
		return pptId;
	}
	public void setPptId(Long pptId) {
		this.pptId = pptId;
	}
	public String getStrExtend4() {
		return strExtend4;
	}
	public void setStrExtend4(String strExtend4) {
		this.strExtend4 = strExtend4;
	}
	public String getOutType() {
		return outType;
	}
	public void setOutType(String outType) {
		this.outType = outType;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public WarehouseArea getZone2() {
		return zone2;
	}
	public void setZone2(WarehouseArea zone2) {
		this.zone2 = zone2;
	}
	public Long getLongExtend1() {
		return longExtend1;
	}
	public void setLongExtend1(Long longExtend1) {
		this.longExtend1 = longExtend1;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public PlanAssembly getPlanAssembly() {
		return planAssembly;
	}
	public void setPlanAssembly(PlanAssembly planAssembly) {
		this.planAssembly = planAssembly;
	}
	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}
	public Date getModifyDate() {
		return modifyDate;
	}
	public void setModifyDate(Date modifyDate) {
		this.modifyDate = modifyDate;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	public String getNumberNo() {
		return numberNo;
	}
	public void setNumberNo(String numberNo) {
		this.numberNo = numberNo;
	}
	
	public String getProcedure() {
		return procedure;
	}
	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}
	public Date getOfflineDate() {
		return OfflineDate;
	}
	public void setOfflineDate(Date offlineDate) {
		OfflineDate = offlineDate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getModelType() {
		return modelType;
	}
	public void setModelType(String modelType) {
		this.modelType = modelType;
	}
	public String getModelNo() {
		return modelNo;
	}
	public void setModelNo(String modelNo) {
		this.modelNo = modelNo;
	}
	public String getModelName() {
		return modelName;
	}
	public void setModelName(String modelName) {
		this.modelName = modelName;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	
	
}
